package cd.casic.ci.common.pipeline.pojo;

import cd.casic.ci.common.pipeline.enums.PipelineInstanceTypeEnum;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.util.ArrayList;
import java.util.List;

/**
 * @Author：mianbin
 * @Package：cd.casic.ci.common.pipeline.pojo
 * @Project：ops-pro
 * @name：TemplateInstanceCreateRequest
 * @Date：2025/03/25 16:38
 * @Filename：TemplateInstanceCreateRequest
 * @description：Todo
 */
@Data
public class TemplateInstanceCreateRequest {
    @Schema(title = "模板ID", required = true)
    private String templateId;
    @Schema(title = "模板版本号（为空时默认最新）", required = true)
    private Long templateVersion;
    @Schema(title = "流水线名称", required = true)
    private String pipelineName;
    @Schema(title = "是否使用通知配置", required = false)
    private Boolean useSubscriptionSettings;
    @Schema(title = "是否使用标签配置", required = false)
    private Boolean useLabelSettings;
    @Schema(title = "是否使用并发组配置", required = false)
    private Boolean useConcurrencyGroup;
    @Schema(title = "创建实例的模式", required = false)
    private String instanceType = PipelineInstanceTypeEnum.FREEDOM.getType();
    @Schema(title = "是否为空模板", required = false)
    private Boolean emptyTemplate;
    @Schema(title = "静态流水线组", required = false)
    private List<String> staticViews = new ArrayList<>();
    @Schema(title = "是否继承项目流水线语言风格", required = false)
    private Boolean inheritedDialect = true;
    @Schema(title = "流水线语言风格", required = false)
    private String pipelineDialect;
    @Schema(title = "流水线标签", required = false)
    private List<String> labels = new ArrayList<>();
}