package cd.casic.ci.process.api.process.pojo;

import cd.casic.ci.common.pipeline.enums.VersionStatus;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.util.List;

/**
 * @Author：mianbin
 * @Package：cd.casic.ci.pipelineciprocessapi.process.pojo
 * @Project：ops-pro
 * @name：PipelineDetailInfo
 * @Date：2025/03/24 16:12
 * @Filename：PipelineDetailInfo
 * @description：Todo
 */
@Data
@Schema(title = "流水线名称与Id")
public class PipelineDetailInfo {
    @Schema(title = "流水线Id")
    private String pipelineId;
    @Schema(title = "流水线名称")
    private String pipelineName;
    @Schema(title = "是否收藏")
    private boolean hasCollect;
    @Schema(title = "canManualStartup")
    private boolean canManualStartup;
    @Schema(title = "是否关联模板")
    private boolean instanceFromTemplate;
    @Schema(title = "流水线版本")
    private int pipelineVersion;
    @Schema(title = "发布时间-时间戳")
    private long deploymentTime;
    @Schema(title = "是否有编辑权限")
    private boolean hasPermission;
    @Schema(title = "关联模板ID", required = false)
    private String templateId;
    @Schema(title = "关联模板版本", required = false)
    private Long templateVersion;
    @Schema(title = "流水线描述")
    private String pipelineDesc;
    @Schema(title = "创建者")
    private String creator;
    @Schema(title = "创建时间")
    private long createTime;
    @Schema(title = "更新时间")
    private long updateTime;
    @Schema(title = "最新流水线版本状态（如有任何发布版本则为发布版本）", required = false)
    private VersionStatus latestVersionStatus;
    @Schema(title = "流水线组名称列表", required = false)
    private List<String> viewNames;
    @Schema(title = "运行锁定", required = false)
    private boolean locked;

}
