package cd.casic.ci.process.api.process.pojo;

import cd.casic.ci.common.pipeline.container.Stage;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.util.List;

/**
 * @Author：mianbin
 * @Package：cd.casic.ci.pipelineciprocessapi.process.pojo
 * @Project：ops-pro
 * @name：PipelineTemplate
 * @Date：2025/03/24 16:49
 * @Filename：PipelineTemplate
 * @description：Todo
 */
@Data
@Schema(title = "流水线-模板信息")
public class PipelineTemplate {
    @Schema(title = "模板名称", required = true)
    private String name;
    @Schema(title = "模板描述", required = false)
    private String desc;
    @Schema(title = "应用范畴", required = true)
    private List<String> category;
    @Schema(title = "模板图标", required = false)
    private String icon;
    @Schema(title = "模板LOGO路径", required = false)
    private String logoUrl;
    @Schema(title = "模板作者", required = true)
    private String author;
    @Schema(title = "插件数量", required = true)
    private Integer atomNum;
    @Schema(title = "当前模板对应的被复制的模板或安装的研发商店的模板对应的ID", required = true)
    private String srcTemplateId;
    @Schema(title = "是否为公共模版", required = true)
    private Boolean publicFlag;
    @Schema(title = "阶段集合", required = true)
    private List<Stage> stages;

}
