package cd.casic.ci.process.api.process.pojo.pipeline.record;

import cd.casic.ci.common.pipeline.enums.BuildRecordTimeStamp;
import cd.casic.ci.common.pipeline.pojo.time.BuildTimestampType;
import cd.casic.ci.common.pipeline.pojo.ErrorInfo;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.time.LocalDateTime;
import java.util.List;
import java.util.Map;

/**
 * @author by mianbin
 * @Classname BuildRecordModel
 * @Description TODO
 * @Date 2025/3/31 17:15
 */
@Data
@Schema(title = "构建详情记录-插件任务")
public class BuildRecordModel {
    @Schema(title = "构建ID", required = true)
    private String buildId;
    @Schema(title = "项目ID", required = true)
    private String projectId;
    @Schema(title = "流水线ID", required = true)
    private String pipelineId;
    @Schema(title = "编排版本号", required = true)
    private int resourceVersion;
    @Schema(title = "构建号", required = true)
    private int buildNum;
    @Schema(title = "执行次数", required = true)
    private int executeCount;
    @Schema(title = "执行变量", required = true)
    private Map<String, Object> modelVar;
    @Schema(title = "触发时间", required = false)
    private LocalDateTime queueTime;
    @Schema(title = "触发人", required = true)
    private String startUser;
    @Schema(title = "触发器", required = true)
    private String startType;
    @Schema(title = "构建状态", required = false)
    private String status;
    @Schema(title = "取消人", required = false)
    private String cancelUser;
    @Schema(title = "开始时间", required = true)
    private LocalDateTime startTime;
    @Schema(title = "结束时间", required = true)
    private LocalDateTime endTime;
    @Schema(title = "流水线任务执行错误", required = false)
    private List<ErrorInfo> errorInfoList;
    @Schema(title = "业务时间戳集合", required = false)
    private Map<BuildTimestampType, BuildRecordTimeStamp> timestamps;
}
