package cd.casic.ci.log.scm.api;


import cd.casic.ci.log.scm.dal.pojo.oauth.GitToken;
import cd.casic.framework.commons.pojo.CommonResult;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.Parameter;
import io.swagger.v3.oas.annotations.tags.Tag;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;


@RestController
@Tag(name = "服务-oauth相关")
@RequestMapping("/service/oauth")
public interface ServiceOauthResource {

    @Operation(summary = "获取git代码库accessToken信息")
    @GetMapping("/git/{userId}")
    CommonResult<GitToken> gitGet(
            @Parameter(description = "用户ID", required = true)
            @PathVariable String userId);

    @Operation(summary = "获取tgit代码库accessToken信息")
    @GetMapping("/tgit/{userId}")
    CommonResult<GitToken> tGitGet(
            @Parameter(description = "用户ID", required = true)
            @PathVariable String userId);
}
