package cd.casic.pipeline.store.api.common;


import cd.casic.framework.commons.pojo.CommonResult;
import cd.casic.pipeline.store.pojo.common.classify.Classify;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.Parameter;
import io.swagger.v3.oas.annotations.tags.Tag;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;


@Tag(name = "USER_STORE_CLASSIFY", description = "研发商店-组件分类")
@RestController
@RequestMapping("/user/store/classifies")
public interface UserStoreClassifyResource {

    @Operation(summary = "获取组件分类信息列表")
    @GetMapping("/types/{storeType}/list")
    CommonResult<List<Classify>> getClassifyList(
            @Parameter(description = "组件类型", required = true)
            @PathVariable("storeType")
            String storeType
    );
}