package cd.casic.pipeline.store.api.container;

import cd.casic.ci.common.pipeline.pojo.OS;
import cd.casic.ci.common.pipeline.type.BuildType;
import cd.casic.framework.commons.pojo.CommonResult;
import cd.casic.pipeline.store.pojo.container.ContainerResourceValue;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.Parameter;
import io.swagger.v3.oas.annotations.tags.Tag;
import org.springframework.web.bind.annotation.*;

import static cd.casic.ci.common.pipeline.constant.OpsHeader.AUTH_HEADER_USER_ID;
import static cd.casic.ci.common.pipeline.constant.OpsHeader.AUTH_HEADER_USER_ID_DEFAULT_VALUE;

@Tag(name = "SERVICE_CONTAINER_RESOURCE", description = "获取构建资源")
@RestController
@RequestMapping("/service/containers")
public interface ServiceContainerResource {

    @Operation(summary = "获取镜像")
    @GetMapping("/projects/{projectCode}")
    CommonResult<ContainerResourceValue> getContainers(
            @Parameter(description = "用户ID", required = true, example = AUTH_HEADER_USER_ID_DEFAULT_VALUE)
            @RequestHeader(AUTH_HEADER_USER_ID)
            String userId,
            @Parameter(description = "项目代码", required = true)
            @PathVariable("projectCode")
            String projectCode,
            @Parameter(description = "构建类型", required = true)
            @RequestParam("buildType")
            BuildType buildType,
            @Parameter(description = "操作系统", required = true)
            @RequestParam("os")
            OS os
    );
}