package cd.casic.pipeline.store.pojo.atom;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
@Schema(title = "插件市场-更新插件执行环境信息请求报文体")
public class AtomEnvRequest {
    @Schema(title = "用户Id", required = true)
    private String userId;
    @Schema(title = "插件包名", required = false)
    private String pkgName = "";
    @Schema(title = "安装包位于本地的路径", required = false)
    private String pkgLocalPath = "";
    @Schema(title = "安装包位于仓库的路径", required = true)
    private String pkgRepoPath = "";
    @Schema(title = "插件开发语言", required = false)
    private String language;
    @Schema(title = "支持插件开发语言的最低版本", required = false)
    private String minVersion;
    @Schema(title = "插件执行入口", required = false)
    private String target = "";
    @Schema(title = "插件SHA签名串", required = false)
    private String shaContent;
    @Schema(title = "插件执行前置命令", required = false)
    private String preCmd;
    @Schema(title = "插件post信息", required = false)
    private AtomPostInfo atomPostInfo;
    @Schema(title = "支持的操作系统名称", required = false)
    private String osName;
    @Schema(title = "支持的操作系统架构", required = false)
    private String osArch;
    @Schema(title = "插件运行时版本", required = false)
    private String runtimeVersion;
    @Schema(title = "是否为默认环境信息", required = false)
    private Boolean defaultFlag;
    @Schema(title = "插件运行结束后是否立即杀掉其进程", required = false)
    private Boolean finishKillFlag;
}